<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classes.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Class Index</div></div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_A">A</a>&#160;|&#160;<a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_D">D</a>&#160;|&#160;<a class="qindex" href="#letter_E">E</a>&#160;|&#160;<a class="qindex" href="#letter_F">F</a>&#160;|&#160;<a class="qindex" href="#letter_G">G</a>&#160;|&#160;<a class="qindex" href="#letter_I">I</a>&#160;|&#160;<a class="qindex" href="#letter_K">K</a>&#160;|&#160;<a class="qindex" href="#letter_L">L</a>&#160;|&#160;<a class="qindex" href="#letter_M">M</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_X">X</a></div>
<div class="classindex">
<dl class="classindex even">
<dt class="alphachar"><a id="letter_A" name="letter_A">A</a></dt>
<dd><a class="el" href="structmelon_1_1_ann_data.html">AnnData</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_ann_normalization_parameters.html">AnnNormalizationParameters</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_ann_parser.html">AnnParser</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_ann_parser_csv.html">AnnParserCsv</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_ann_parser_factory.html">AnnParserFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_ann_parser_xml.html">AnnParserXml</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_B" name="letter_B">B</a></dt>
<dd><a class="el" href="structtinyxml2_1_1_mem_pool_t_1_1_block.html">MemPoolT::Block</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a id="letter_D" name="letter_D">D</a></dt>
<dd><a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html">XMLDocument::DepthTracker</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_dyn_array.html">DynArray</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_E" name="letter_E">E</a></dt>
<dd><a class="el" href="structtinyxml2_1_1_entity.html">Entity</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a id="letter_F" name="letter_F">F</a></dt>
<dd><a class="el" href="classmelon_1_1_feed_forward_net.html">FeedForwardNet</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_G" name="letter_G">G</a></dt>
<dd><a class="el" href="classmelon_1_1_gaussian_process.html">GaussianProcess</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_gp_parser.html">GpParser</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_gp_parser_factory.html">GpParserFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a id="letter_I" name="letter_I">I</a></dt>
<dd><a class="el" href="classmelon_1_1_identity_scaler.html">IdentityScaler</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="uniontinyxml2_1_1_mem_pool_t_1_1_item.html">MemPoolT::Item</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_K" name="letter_K">K</a></dt>
<dd><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">Kernel</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html">KernelCompositeAdd</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html">KernelCompositeMultiply</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html">KernelConstant</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">KernelData</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">KernelRBF</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a id="letter_L" name="letter_L">L</a></dt>
<dd><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one.html">LongFitsIntoSizeTMinusOne</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one_3_01false_01_4.html">LongFitsIntoSizeTMinusOne&lt; false &gt;</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_M" name="letter_M">M</a></dt>
<dd><a class="el" href="classmelon_1_1kernel_1_1_matern.html">Matern</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_matern32.html">Matern32</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">Matern52</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html">MaternInf</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="class_melon_exception.html">MelonException</a></dd><dd><a class="el" href="classmelon_1_1_melon_model.html">MelonModel</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_mem_pool.html">MemPool</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_mem_pool_t.html">MemPoolT</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classmelon_1_1_min_max_scaler.html">MinMaxScaler</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="struct_model_data.html">ModelData</a></dd><dd><a class="el" href="classmelon_1_1_model_parser.html">ModelParser</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_mulfil_gp.html">MulfilGp</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_mulfil_gp_data.html">MulfilGpData</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="struct_mul_fil_gp_data.html">MulFilGpData</a></dd><dd><a class="el" href="classmelon_1_1_mulfil_gp_parser.html">MulfilGpParser</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_mulfil_gp_parser_factory.html">MulfilGpParserFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a id="letter_S" name="letter_S">S</a></dt>
<dd><a class="el" href="classmelon_1_1_scaler.html">Scaler</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_scaler_factory.html">ScalerFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_standard_scaler.html">StandardScaler</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="class_stationary.html">Stationary</a></dd><dd><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">StationaryKernel</a> (<a class="el" href="namespacemelon_1_1kernel.html">melon::kernel</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classmelon_1_1_support_vector_machine.html">SupportVectorMachine</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_support_vector_machine_one_class.html">SupportVectorMachineOneClass</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_support_vector_regression.html">SupportVectorRegression</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_svm_parser.html">SvmParser</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd><dd><a class="el" href="classmelon_1_1_svm_parser_factory.html">SvmParserFactory</a> (<a class="el" href="namespacemelon.html">melon</a>)</dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a id="letter_X" name="letter_X">X</a></dt>
<dd><a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html">XMLAttribute</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_comment.html">XMLComment</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">XMLDeclaration</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_handle.html">XMLHandle</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_printer.html">XMLPrinter</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">XMLUnknown</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_util.html">XMLUtil</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd><dd><a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html">XMLVisitor</a> (<a class="el" href="namespacetinyxml2.html">tinyxml2</a>)</dd></dl>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
